<template>
  <div class="camerasMg">
    <el-row class="topBar">
      <el-col>
        <el-form :inline="true" :model="searchData">
          <el-form-item label>
            <el-input v-model="searchData.realityDutyUser" placeholder="请输人员名称"></el-input>
          </el-form-item>
          <el-form-item>
            <el-button type="primary" @click="searchFun()">
              <i class="el-icon-search"></i> 搜索
            </el-button>
            <el-button type="primary" @click="resetFun()">
              <i class="el-icon-refresh"></i> 重置
            </el-button>
          </el-form-item>
          <!-- <el-form-item class="fr">
            <el-button plain type="primary" @click="addFun()">
              <i class="el-icon-plus"></i> 添加值班日志
            </el-button>
          </el-form-item> -->
        </el-form>
      </el-col>
    </el-row>
    <el-table :data="tableData.pageData" stripe border style="width:100%;" :loading="false">
      <el-table-column width="50" type="index" label="序号"></el-table-column>
      <el-table-column prop="realityDutyUser" label="实际值班人员"></el-table-column>
	  <!-- <el-table-column prop="dutyMan" label="实际值班人员"></el-table-column> -->
	  <el-table-column prop="dutyDateStart" label="值班开始时间"></el-table-column>
	  <el-table-column prop="dutyDateEnd" label="值班结束时间"></el-table-column>
      <el-table-column prop="dutyLog" label="值班日志"></el-table-column>
	  <el-table-column prop="remarks" label="备注"></el-table-column>
      <el-table-column prop="createTime" label="创建时间"></el-table-column>
      <el-table-column label="操作" width="200" align="center">
        <template slot-scope="scope">
          <el-button @click="editFun(scope.row)" size="small">
            <i class="el-icon-edit-outline"></i> 详情
          </el-button>
		  <el-button @click="detailFun(scope.row)" size="small">
		    <i class="el-icon-edit-outline"></i> 编辑
		  </el-button>
        </template>
      </el-table-column>
    </el-table>
    <el-pagination
      background
      layout="total,sizes, prev, pager, next, jumper"
      :total="tableData.total"
      @size-change="handleSizeChange"
      @current-change="handleCurrentChange"
      :current-page="PAGE.page"
      :page-size="PAGE.size"
    ></el-pagination>
    <BookPlanDownEdit
      v-if="dialogVisible"
      :dialogVisible="dialogVisible"
      :editForm="formData"
      :title="dialogTit"
      @dialogFun="closeDialog"
      @refreshTableData="getTableData"
      :key="zjKey"
    ></BookPlanDownEdit>
  </div>
</template>
<style lang="scss">
	.el-table
	.el-table__header-wrapper
	.el-table__header 
	.has-gutter 
	.el-table_1_column_5{
		width: 50%;
	}
</style>
<script lang="ts">
import { Component, Vue, Provide } from "vue-property-decorator";
import BookPlanDownEdit from "./BookPlanDownEdit.vue";
import BookPlanEdit from "./BookPlanEdit.vue";
import METHOD from "@/utils/methods";
@Component({
  components: { BookPlanDownEdit }
  // components: { BookPlanEdit }
})
export default class CamerasMg extends Vue {
  @Provide() signId: String = "";
  @Provide() tableData: Object = { pageData: [], total: 0 };
  @Provide() PAGE: any = { page: 1, size: 10 };
  @Provide() searchData: any = { realityDutyUser:'' };
  @Provide() loading: Boolean = false;
  //编辑组件
  @Provide() dialogVisible: Boolean = false;
  @Provide() dialogTit: String = "新增预案";
  @Provide() formData: Object = {};
  @Provide() zjKey: any = 0;
  getTableData() {
    let that = this,
      params = Object.assign(that.PAGE, that.searchData);
    (that as any).$axios
      // .post("/onDutyInfo/getOnDutyInfoList", params)
	  .post("/onDutyLog/getOnDutyLogList", params)
      .then((res: any) => {
        if( res ) that.tableData = res;
      });
  }
  searchFun() {
    this.PAGE = { page: 1, size: 10 };
    this.getTableData();
  }
  resetFun() {
    this.PAGE = { page: 1, size: 10 };
    this.searchData = {};
    this.getTableData();
  }
  addFun() {
    this.zjKey++;
    this.dialogVisible = true;
    this.dialogTit = "新增";
  }
  editFun(row: any) {
    this.dialogTit = "详情";
    this.formData = Object.assign({}, row);
    this.zjKey++;
    this.dialogVisible = true;
  }
  detailFun(row: any) {
    this.dialogTit = "编辑";
    this.formData = Object.assign({}, row);
    this.zjKey++;
    this.dialogVisible = true;
  }
  delFun(row: any) {
    let that = this as any;
    METHOD.deleteFun(that, `/onDutyInfo/delOnDutyInfoById/${row.id}`, function() {
      that.getTableData();
    });
  }
  handleSizeChange(val: any) {
    this.PAGE.size = val;
    this.getTableData();
  }
  handleCurrentChange(val: any) {
    this.PAGE.page = val;
    this.getTableData();
  }
  closeDialog() {
    //关闭窗口
    this.dialogVisible = false;
    this.formData = {};
  }
  created() {
    this.getTableData();
  }
}
</script>

